Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.constructionheuristic.greedyFit
Class GreedyFitSolverPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.SolverPhaseConfig
          org.optaplanner.core.config.constructionheuristic.greedyFit.GreedyFitSolverPhaseConfig

Deprecated.

    @Deprecated
    public class GreedyFitSolverPhaseConfig

extends SolverPhaseConfig

Field Summary
`protected ConstructionHeuristicPickEarlyType` | `constructionHeuristicPickEarlyType` Deprecated.
`protected List<GreedyFitPlanningEntityConfig>` | `greedyFitPlanningEntityConfigList` Deprecated.

Constructor Summary
`GreedyFitSolverPhaseConfig()` Deprecated.

Method Summary
`GreedyFitSolverPhase` | `buildSolverPhase(int phaseIndex, EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, ScoreDefinition scoreDefinition, Termination solverTermination)` Deprecated.
`ConstructionHeuristicPickEarlyType` | `getConstructionHeuristicPickEarlyType()` Deprecated.
`List<GreedyFitPlanningEntityConfig>` | `getGreedyFitPlanningEntityConfigList()` Deprecated.
`void` | `inherit(GreedyFitSolverPhaseConfig inheritedConfig)` Deprecated.
`void` | `setConstructionHeuristicPickEarlyType(ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType)` Deprecated.
`void` | `setGreedyFitPlanningEntityConfigList(List<GreedyFitPlanningEntityConfig> greedyFitPlanningEntityConfigList)` Deprecated.

Methods inherited from class org.optaplanner.core.config.phase.SolverPhaseConfig
`configureSolverPhase, getTerminationConfig, inherit, setTerminationConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### greedyFitPlanningEntityConfigList

    protected List<GreedyFitPlanningEntityConfig> greedyFitPlanningEntityConfigList

  Deprecated.

### constructionHeuristicPickEarlyType

    protected ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType

  Deprecated.

Constructor Detail

### GreedyFitSolverPhaseConfig

    public GreedyFitSolverPhaseConfig()

  Deprecated.

Method Detail

### getGreedyFitPlanningEntityConfigList

    public List<GreedyFitPlanningEntityConfig> getGreedyFitPlanningEntityConfigList()

  Deprecated.

### setGreedyFitPlanningEntityConfigList

    public void setGreedyFitPlanningEntityConfigList(List<GreedyFitPlanningEntityConfig> greedyFitPlanningEntityConfigList)

  Deprecated.

### getConstructionHeuristicPickEarlyType

    public ConstructionHeuristicPickEarlyType getConstructionHeuristicPickEarlyType()

  Deprecated.

### setConstructionHeuristicPickEarlyType

    public void setConstructionHeuristicPickEarlyType(ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType)

  Deprecated.

### buildSolverPhase

    public GreedyFitSolverPhase buildSolverPhase(int phaseIndex,
                                                 EnvironmentMode environmentMode,
                                                 SolutionDescriptor solutionDescriptor,
                                                 ScoreDefinition scoreDefinition,
                                                 Termination solverTermination)

  Deprecated.
  Specified by:
    `buildSolverPhase` in class `SolverPhaseConfig`

### inherit

    public void inherit(GreedyFitSolverPhaseConfig inheritedConfig)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.